Subject: Re: bug#7432: 24.0.50; Display change

From: David De La Harpe Golden <[email-masked]>
Date: Sun, 21 Nov 2010 05:00:28 +0000

On 18/11/10 04:49, [email-masked] wrote:
> I use the following:
>
>    (setq gnus-summary-line-format "%8{%4k│%}%9{%U%R%z%}%8{│%}%*%(%-23,23f%)%7{║%} %6{%B%} %s\n"
> 	gnus-summary-dummy-line-format "    %8{│%}   %(%8{│%}                       %7{║%}%) %6{┏○%}  %S\n"
> 	gnus-sum-thread-tree-indent " "
> 	gnus-sum-thread-tree-root "┏● "
> 	gnus-sum-thread-tree-false-root " ○ "
> 	gnus-sum-thread-tree-single-indent " ● "
> 	gnus-sum-thread-tree-leaf-with-other "┣━━❯ "
> 	gnus-sum-thread-tree-vertical "┃"
> 	gnus-sum-thread-tree-single-leaf "┗━━❯ ")
>
> Instead of seeing a box for `gnus-sum-thread-tree-leaf-with-other`
> and `gnus-sum-thread-tree-single-leaf', I now see a box with
> the characters "27" "6F" ("27" is on top of "6F").
>
> How do I get the empty box back?
>

Note U+276F (❯) is supposed to be a sign a bit like >, not an empty box. 
See attached screenshot.

See, in your settings above, gnus-sum-thread-tree-leaf-with-other is 
actually supposed to be a sign like |--> made up of a few unicode 
characters, the last of which is U+276F, not a "box".

If you genuinely want an actual empty box, like |--[] instead of |-->, I 
suppose you could use one of the several empty-box-looking type unicode 
characters (and make sure you have a font with it in), there's a whole 
bunch of box ones (the below is probably not exhaustive, just some a 
quick visual scan turned up)

U+25A1 ( □ )
U+29E0 ( ⧠ )
U+25AF ( ▯ )
U+2B1C ( ⬜ )
U+2395 ( ⎕ )
U+274F ( ❏ )
U+2610 ( ☐ )